Upgrade of site failing

Topics: General, Installing Orchard, Troubleshooting
Jan 13, 2014 at 11:25 AM
I am trying to upgrade a site running Orchard 1.3 to the latest version.

I have downloaded the latest sourcecode, and this runs correctly. However, as soon as I put in the database connection string for my existing site, I get page not found (404s) for all pages inclulding /admin.

The following error is in the log file:
Orchard.Environment.DefaultOrchardHost - A tenant could not be started: Default
Autofac.Core.DependencyResolutionException: None of the constructors found with 'Orchard.Environment.AutofacUtil.DynamicProxy2.ConstructorFinderWrapper' on type 'Orchard.Blogs.Routing.ArchiveConstraint' can be invoked with the available services and parameters:
Cannot resolve parameter 'Orchard.Autoroute.Services.IPathResolutionService pathResolutionService' of constructor 'Void 
Full errror is here: http://pastebin.com/Y4bxkrC4

Any idea why I am getting this?

Thanks, Tom
Jan 15, 2014 at 4:03 PM
BUMP
Developer
Jan 19, 2014 at 9:14 PM
It fails because it needs a service from the Autoroute module that's not enabled. Rename the Module.txt in the Blogs module to something else, then you'll be able to start the site. Enable Autoroute, then rename the txt back and it should work.

However the advised was of doing upgrades is step by step (i.e. first to 1.4, then to 1.5).